Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface XAD

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  XADImpl

    public interface XAD

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'XAD'. This data structure is being used to represent an address and is based on the HL7 v2.5 data type XAD.

The following features are supported:

- `Street Address`
- `Other Designation`
- `City`
- `State Or Province`
- `Zip Or Postal Code`
- `Country`
- `County Parish Code`

See Also:
  `Hl7v2Package.getXAD()`

Method Summary
`java.lang.String` | `getCity()` Returns the value of the 'City' attribute.
`java.lang.String` | `getCountry()` Returns the value of the 'Country' attribute.
`java.lang.String` | `getCountyParishCode()` Returns the value of the 'County Parish Code' attribute.
`java.lang.String` | `getOtherDesignation()` Returns the value of the 'Other Designation' attribute.
`java.lang.String` | `getStateOrProvince()` Returns the value of the 'State Or Province' attribute.
`java.lang.String` | `getStreetAddress()` Returns the value of the 'Street Address' attribute.
`java.lang.String` | `getZipOrPostalCode()` Returns the value of the 'Zip Or Postal Code' attribute.
`void` | `setCity(java.lang.String value)` Sets the value of the '`City`' attribute.
`void` | `setCountry(java.lang.String value)` Sets the value of the '`Country`' attribute.
`void` | `setCountyParishCode(java.lang.String value)` Sets the value of the '`County Parish Code`' attribute.
`void` | `setOtherDesignation(java.lang.String value)` Sets the value of the '`Other Designation`' attribute.
`void` | `setStateOrProvince(java.lang.String value)` Sets the value of the '`State Or Province`' attribute.
`void` | `setStreetAddress(java.lang.String value)` Sets the value of the '`Street Address`' attribute.
`void` | `setZipOrPostalCode(java.lang.String value)` Sets the value of the '`Zip Or Postal Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStreetAddress

    java.lang.String getStreetAddress()

  Returns the value of the 'Street Address' attribute.

  If the meaning of the 'Street Address' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Address' attribute.
  See Also:
    `setStreetAddress(String)`, `Hl7v2Package.getXAD_StreetAddress()`

### setStreetAddress

    void setStreetAddress(java.lang.String value)

  Sets the value of the '`Street Address`' attribute.

  Parameters:
    `value` - the new value of the 'Street Address' attribute.
  See Also:
    `getStreetAddress()`

### getOtherDesignation

    java.lang.String getOtherDesignation()

  Returns the value of the 'Other Designation' attribute.

  If the meaning of the 'Other Designation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Other Designation' attribute.
  See Also:
    `setOtherDesignation(String)`, `Hl7v2Package.getXAD_OtherDesignation()`

### setOtherDesignation

    void setOtherDesignation(java.lang.String value)

  Sets the value of the '`Other Designation`' attribute.

  Parameters:
    `value` - the new value of the 'Other Designation' attribute.
  See Also:
    `getOtherDesignation()`

### getCity

    java.lang.String getCity()

  Returns the value of the 'City' attribute.

  If the meaning of the 'City' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'City' attribute.
  See Also:
    `setCity(String)`, `Hl7v2Package.getXAD_City()`

### setCity

    void setCity(java.lang.String value)

  Sets the value of the '`City`' attribute.

  Parameters:
    `value` - the new value of the 'City' attribute.
  See Also:
    `getCity()`

### getStateOrProvince

    java.lang.String getStateOrProvince()

  Returns the value of the 'State Or Province' attribute.

  If the meaning of the 'State Or Province' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'State Or Province' attribute.
  See Also:
    `setStateOrProvince(String)`, `Hl7v2Package.getXAD_StateOrProvince()`

### setStateOrProvince

    void setStateOrProvince(java.lang.String value)

  Sets the value of the '`State Or Province`' attribute.

  Parameters:
    `value` - the new value of the 'State Or Province' attribute.
  See Also:
    `getStateOrProvince()`

### getZipOrPostalCode

    java.lang.String getZipOrPostalCode()

  Returns the value of the 'Zip Or Postal Code' attribute.

  If the meaning of the 'Zip Or Postal Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Zip Or Postal Code' attribute.
  See Also:
    `setZipOrPostalCode(String)`, `Hl7v2Package.getXAD_ZipOrPostalCode()`

### setZipOrPostalCode

    void setZipOrPostalCode(java.lang.String value)

  Sets the value of the '`Zip Or Postal Code`' attribute.

  Parameters:
    `value` - the new value of the 'Zip Or Postal Code' attribute.
  See Also:
    `getZipOrPostalCode()`

### getCountry

    java.lang.String getCountry()

  Returns the value of the 'Country' attribute.

  If the meaning of the 'Country' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Country' attribute.
  See Also:
    `setCountry(String)`, `Hl7v2Package.getXAD_Country()`

### setCountry

    void setCountry(java.lang.String value)

  Sets the value of the '`Country`' attribute.

  Parameters:
    `value` - the new value of the 'Country' attribute.
  See Also:
    `getCountry()`

### getCountyParishCode

    java.lang.String getCountyParishCode()

  Returns the value of the 'County Parish Code' attribute.

  If the meaning of the 'County Parish Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'County Parish Code' attribute.
  See Also:
    `setCountyParishCode(String)`, `Hl7v2Package.getXAD_CountyParishCode()`

### setCountyParishCode

    void setCountyParishCode(java.lang.String value)

  Sets the value of the '`County Parish Code`' attribute.

  Parameters:
    `value` - the new value of the 'County Parish Code' attribute.
  See Also:
    `getCountyParishCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD